Bug 26120 - Remove the use of jquery.checkboxes plugin from tags review template
Summary: Remove the use of jquery.checkboxes plugin from tags review template
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 26118
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-07-31 19:01 UTC by Owen Leonard
Modified: 2020-10-27 04:28 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26120: Remove the use of jquery.checkboxes plugin from tags review template (7.47 KB, patch)
2020-08-03 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26120: Remove the use of jquery.checkboxes plugin from tags review template (7.52 KB, patch)
2020-09-27 11:15 UTC, David Nind
Details | Diff | Splinter Review
Bug 26120: Remove the use of jquery.checkboxes plugin from tags review template (7.58 KB, patch)
2020-09-27 11:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-31 19:01:54 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should replaced in the staff interface tags review template.
Comment 1 Owen Leonard 2020-08-03 19:40:08 UTC
Created attachment 107721 [details] [review]
Bug 26120: Remove the use of jquery.checkboxes plugin from tags review template

This patch removes the use of the jquery.checkboxes plugin and improves
the handling of tag status markup so that the "Select all pending"
selection link works correctly.

To test, apply the patch and go to Tools -> Tags. To test properly you
should have multiple tags awaiting moderation.

 - The initial view of tags moderation shows only tags awaiting
    moderation. Test that the "select all," "clear all," and "Select all
    pending" links work correctly.
 - Click the "Approve" button for a tag, and the "Reject" button for
   another tag.
 - Test the "Select all pending" link again. Only the tags awaiting
   moderation should be selected.
Comment 2 Brandon J 2020-09-15 14:41:47 UTC
Tried to sign-off
got
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/tags/review.tt)
Comment 3 Owen Leonard 2020-09-15 15:23:35 UTC
Did you apply Bug 26118 first?
Comment 4 David Nind 2020-09-27 11:15:36 UTC
Created attachment 110819 [details] [review]
Bug 26120: Remove the use of jquery.checkboxes plugin from tags review template

This patch removes the use of the jquery.checkboxes plugin and improves
the handling of tag status markup so that the "Select all pending"
selection link works correctly.

To test, apply the patch and go to Tools -> Tags. To test properly you
should have multiple tags awaiting moderation.

 - The initial view of tags moderation shows only tags awaiting
    moderation. Test that the "select all," "clear all," and "Select all
    pending" links work correctly.
 - Click the "Approve" button for a tag, and the "Reject" button for
   another tag.
 - Test the "Select all pending" link again. Only the tags awaiting
   moderation should be selected.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-09-27 11:21:40 UTC
Created attachment 110821 [details] [review]
Bug 26120: Remove the use of jquery.checkboxes plugin from tags review template

This patch removes the use of the jquery.checkboxes plugin and improves
the handling of tag status markup so that the "Select all pending"
selection link works correctly.

To test, apply the patch and go to Tools -> Tags. To test properly you
should have multiple tags awaiting moderation.

 - The initial view of tags moderation shows only tags awaiting
    moderation. Test that the "select all," "clear all," and "Select all
    pending" links work correctly.
 - Click the "Approve" button for a tag, and the "Reject" button for
   another tag.
 - Test the "Select all pending" link again. Only the tags awaiting
   moderation should be selected.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-09-29 12:30:03 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-10-20 17:00:51 UTC
backported to 20.05.x for 20.05.05
Comment 8 Aleisha Amohia 2020-10-27 04:28:14 UTC
enhancement, not backported to 19.11.x